package cleii.data;

public class LinearInspectionHashTable<T> extends InternalHashTable<T> {
	
	public LinearInspectionHashTable (int k, double maxLoad) {
		super (k, maxLoad);
	}
	

	@Override
	protected int h(T x, int i) {
		int code = x.hashCode();
		if (code<0) code = -code;		
		return ( (code % this.k) + i  ) % this.k; 
		//evito l'overflow rispetto a fare  return (code+i) % this.k
	}

}
